Bug 331397 - preview and thumbnails colors are wrong for cr2
Summary: preview and thumbnails colors are wrong for cr2
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Thumbs-RAW (show other bugs)
Version: 3.4.0
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-21 21:06 UTC by Gregory
Modified: 2019-12-23 17:46 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 7.0.0


Attachments
screen shot shows the difference between preview and editor view for the same photo (719.85 KB, image/png)
2014-02-21 21:08 UTC, Gregory
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gregory 2014-02-21 21:06:38 UTC
For several CR2 files  (canon 350D)  preview images (digiKam says it is embedded jpeg) are colored worng. In editor everything is OK and exactly as I saw it in the camera screen.
What makes digiKam mostly unusable (at least  for me).
Convertion to DNG changes nothing.

CR2 are manually coped from the camera, not imported with digiKam. 

Reproducible: Always

Actual Results:  
As described wronh colors/darkness on preview (embedded jpegs).
Hard to descrine the issue verbally, but I can provide an example CR2 and a screenshot.  

Expected Results:  
same coloring for editor and preview
Comment 1 Gregory 2014-02-21 21:08:32 UTC
Created attachment 85266 [details]
screen shot shows the difference between preview and editor view for the same photo
Comment 2 caulier.gilles 2014-02-22 08:15:29 UTC
This file is invalid :

- Thumbnail from RAW use embedded JPEG image from RAW container.
- Preview can use embedded JPEG or half size demosaiced RAW.
- Image Editor use full size of demosaiced RAW

JPEG and RAW image data do not use the same workflow and do not give same result. With RAW you need to reproduce whole post processing done by camera firmware. With JPEG all is ready to use.

In other word, this behavior is normal. The best that you can do, is to use half size demosaiced RAW with preview (it's an option from digiKam setup), but take a care demosaicing take while to run. This is why thumbnail use embedded JPEG for performance reasons...

Gilles Caulier
Comment 3 caulier.gilles 2019-12-23 17:46:11 UTC
Not reproducible with digiKam 7.0.0-beta1.